function points_others
%13.08.14
clc;
%function provides search of EP coordinates for each pair \beta and \gamma and saves they into data mat-file

    N=50; %number of points

% uncomment necessary model: parameters and equations
     
    %figure(7)
%    a=50;  %\alpha
%    b=linspace(-1, 4, N);  %array of powers of 10  %\beta
%    g=linspace(-1, 2, N);  %array of powers of 10   %\gamma
%    D=1;  %\Delta
%    s=1;   %\sigma
%    n=3;

     
%     %7B
%    name='7b';  
%    m=2;
%     %7C
%    name='7c';
%    m=3;
    
%     syms x y positive
% 
%     xdot=D*((10.^b)*(1+a*x^n)/(1+x^n)/(1+s*y^m)-x);
%     ydot=D*(10.^g)*(1+a*x^n)/(1+x^n)-y; 


%     %figure(10)
%     name='10';
%     a=50;  %\alpha
%     b=linspace(-1, 5, N);  %array of powers of 10  %\beta
%     g=linspace(-1, 5, N);  %array of powers of 10   %\gamma
%     D=4;  %\Delta
%     s=1;   %\sigma
%     m=2;
%     n=2;
%    syms x y positive

%    xdot=D*((10.^b)*(1+a*x^n)/(1+x^n+s*y^m)-x);
%    ydot=D*(10.^g)*(1+a*x^n)/(1+x^n+s*y^m)-y; 
    
  

     %equilibrium point
    xeq=zeros(N);
    yeq=xeq;
    for bi=1:N
        xx=xdot(bi);
        for gi=1:N
            yy=ydot(gi);
            peq=vpasolve([xx==0, yy==0], [x, y]);   
            x1=peq.x;
            y1=peq.y;
            xeq(bi, gi)=x1(1);
            yeq(bi, gi)=y1(1);
        end
    end
    save(horzcat('pnts', name, 'x.mat'), 'xeq');
    save(horzcat('pnts', name, 'y.mat'), 'yeq');
    
    
end
    
