function plot_numerical
%20.01.15

%function plots dependences, obtained in numerical simulation in DesignI_modified.C or DesignIII_modified.C with specific formatting and saves graph into .eps and .pdf files

%uncomment necessary ranges of beta and gamma
%design1, design3
%b=linspace(-3, 2, 50);
%g=linspace(-3, 0, 50);

%7
%b=linspace(-1, 4, 50);
%g=linspace(-1, 2, 50);

%10
%b=linspace(-1, 5, 50);
%g=linspace(-1, 5, 50);

%uncomment name of model, according to uncommented ranges

%name='Design1'
%name='Design3'
%name='7b'
%name='7c'
%name='10'

%to load period values from DesignI_modified.C or DesignIII_modified.C results
T=load(horzcat(name, '.txt'));
    
    figure
    surfc(b, g, log(T')/log(10));
    set(gca, 'FontSize', 15);
        xlabel('lg \beta', 'FontSize', 15);
        ylabel('lg \gamma', 'FontSize', 15);
        view(0, 90);
        title('lg T', 'FontSize', 15);
        colorbar('FontSize', 15);
        %Uncomment line below for suitable colormap range
		%caxis([0.4 8])
		%Uncomment line below, if you want graph in gray colormap
        %colormap gray
		
    saveas(gcf,  ['results\', name, '_sole.pdf'], 'pdf')
    saveas(gcf,  ['results\', name, '_sole.eps'], 'eps')
end



